Bug 18545 - startup exceptions - 3.3 RC 1
startup exceptions - 3.3 RC 1
Status: RESOLVED DUPLICATE of bug 18421
Product: contrib
Classification: Unclassified
Component: Sysprops
3.x
Other Windows ME/2000
: P3 (vote)
: TBD
Assigned To: sysprops@contrib
sysprops@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-11 21:58 UTC by Les Hartzman
Modified: 2002-07-19 16:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Les Hartzman 2001-12-11 21:58:18 UTC
This was a fresh install of 3.3 RC 1

Here is the ide.log showing the startup exceptions that are 
occurring:

-------------------------------------------------------------------------------
>Log Session: Tuesday, December 11, 2001 1:47:20 PM PST
>System Info: 
  
Product Version       = NetBeans IDE, Release 3.3 RC 1 (Build 200112051230)
  IDE Versioning        = IDE/1 
spec=1.43.1.1 impl=200112051230
  Operating System      = Windows 2000 version 5.0 running on 
x86
  Java; VM; Vendor      = 1.4.0-beta3; Java HotSpot(TM) Client VM 1.4.0-beta3-b84; Sun 
Microsystems Inc.
  Java Home             = d:\jdk1.4\jre
  System Locale         = en_US
  Home Dir; Current Dir = 
C:\Documents and Settings\lhartzman; D:\netbeans3.3rc1\bin
  IDE Install; User Dir = 
D:\netbeans3.3rc1; D:\netbeans3.3rc1\bin\nbjava3.3
  CLASSPATH             = 
D:\netbeans3.3rc1\lib\patches\openide-
compat.jar;D:\netbeans3.3rc1\lib\core.jar;D:\netbeans3.3rc1\lib\openide.jar;D:\netbeans3.3rc1\lib\ext\locale\ddl_ja.jar;D:\netbeans3.3rc1\lib\ext\crimson.jar;D:\netbeans3.3rc1\lib\ext\ddl.jar;D:\netbeans3.3rc1\lib\ext\idlcompilers.jar;D:\netbeans3.3rc1\lib\ext\jh.jar;D:\netbeans3.3rc1\lib\ext\junit-
ext.jar;D:\netbeans3.3rc1\lib\ext\junit.jar;D:\netbeans3.3rc1\lib\ext\logger.jar;D:\netbeans3.3rc1\lib\ext\openorb-
1.0.2.jar;D:\netbeans3.3rc1\lib\ext\regexp.jar;D:\netbeans3.3rc1\lib\ext\rmi-
ext.jar;D:\netbeans3.3rc1\lib\ext\terminalemulator.jar;D:\netbeans3.3rc1\lib\ext\xerces.jar;d:\jdk1.4\lib\dt.jar;d:\jdk1.4\lib\tools.jar
-
------------------------------------------------------------------------------
Existing modules:
	Ant [org.apache.tools.ant.module/2 2.7.1.1 
200112051230]
	Applet [org.netbeans.modules.applet/1 1.7.1.1 200112051230]
	Auto 
Update [org.netbeans.modules.autoupdate/1 1.7.1.1 200112051230]
	Bean Patterns 
[org.netbeans.modules.beans/1 1.7.1.1 200112051230]
	Built-in CVS Client 
[org.netbeans.modules.cvsclient/1 1.4.1.1 200112051230]
	CORBA 
[org.netbeans.modules.corba/1 1.4 20011031]
	CVS Command-Line Client Backward 
Compatibility [org.netbeans.modules.vcs.cmdline.compat/1 1.0.1.1 
200112051230]
	Database Explorer [org.netbeans.modules.db/1 1.4.2 
${buildnumber}]
	Diff [org.netbeans.modules.diff/1 1.1 20011102]
	Editor 
[org.netbeans.modules.editor/1 1.8.1.1 200112051230]
	External HTML Browser 
[org.netbeans.modules.extbrowser/1 0.3.1.1 200112051230]
	Form Editor 
[org.netbeans.modules.form/2 1.7.1.1 200112051230]
	General Online Help 
[org.netbeans.modules.usersguide/1 1.9.1.1 200112051230]
	HTML 
[org.netbeans.modules.html/1 1.8.1.1 200112051230]
	HTTP Server 
[org.netbeans.modules.httpserver/1 1.7.1.1 200112051230]
	IDE Core 
[org.netbeans.core/1 1.1]
	IDL Syntax Coloring 
[org.netbeans.modules.corba.idl.editor/1 1.2 20011031]
	Image 
[org.netbeans.modules.image/1 1.7.1.1 200112051230]
	Inner-Class Testers 
[org.netbeans.modules.innertesters 0.5 28-mar-01]
	Internationalization 
[org.netbeans.modules.i18n/1 1.9.1.1 200112051230]
	Internationalization of Form 
[org.netbeans.modules.i18n.form/2 1.8.1.1 200112051230]
	JAR Packager 
[org.netbeans.modules.jarpackager/2 1.9.1.1 200112051230]
	JNDI 
[org.netbeans.modules.jndi/1 1.4.1.1 200112051230]
	JPDA Debugger 
[org.netbeans.modules.debugger.jpda/1 1.9.1.1 200112051230]
	JSP Syntax Coloring 
[org.netbeans.modules.web.core.syntax/1 1.5.1.1 200112051230]
	JSP/Servlet 
[org.netbeans.modules.web.core/1 1.5.1.1 200112051230]
	Java Source Files 
[org.netbeans.modules.java/1 1.7.1.1 200112051230]
	Javadoc 
[org.netbeans.modules.javadoc/1 1.7.1.1 200112051230]
	Logger (TraceLogger) 
[org.netbeans.modules.logger/1 1.0 22-dec-00]
	Makefiles 
[org.netbeans.modules.makefile/1 1.3 for-michael-juergens-26-feb-01]
	New Module Wizard 
[org.netbeans.modules.apisupport.lite/1 0.2.1.1 200112051230]
	Object Browser 
[org.netbeans.modules.objectbrowser/1 1.7 2001101101500]
	Projects 
[org.netbeans.modules.projects/1 1.7.1.1 200112051230]
	RMI 
[org.netbeans.modules.rmi/1 1.4.1.1 200112051230]
	Resource Bundle Syntax Coloring 
[org.netbeans.modules.properties.syntax/1 1.7.1.1 200112051230]
	Resource Bundles 
[org.netbeans.modules.properties/1 1.7.1.1 200112051230]
	Scripting Support 
[org.netbeans.modules.scripting/1 1.4.1.1 200112051230]
	Sourceless Java Classes 
[org.netbeans.modules.clazz/1 1.8.1.1 200112051230]
	System Properties 
[org.netbeans.modules.sysprops 1.1 dev-16]
	Text [org.netbeans.modules.text/1 1.7.1.1 
200112051230]
	Tomcat 3.2 Server [org.netbeans.modules.web.tomcat/1 1.3.1.1 
200112051230]
	Unit tests [org.netbeans.modules.junit/2 2.3 ${buildnumber}]
	User 
Utilities [org.netbeans.modules.utilities/1 1.7.1.1 200112051230]
	VCS Generic Command-
Line Support [org.netbeans.modules.vcs.advanced/1 1.5.1.1 200112051230]
*********** 
Exception occurred ************
Tue Dec 11 13:47:27 PST 2001: 
java.io.FileNotFoundException: Services/org-netbeans-modules-diff-
DiffSettings.settings
Nested annotation: JAR entry 
org/netbeans/modules/diff/DiffSettings.settings not found in 
D:\netbeans3.3rc1\bin\nbjava3.3\modules\diff.jar
java.io.FileNotFoundException: 
Services/org-netbeans-modules-diff-DiffSettings.settings
	at 
org.openide.filesystems.XMLFileSystem$FileObjRef.getInputStream(XMLFileSystem.java:806)
	at 
org.openide.filesystems.XMLFileSystem.getInputStream(XMLFileSystem.java:285)
	at 
org.openide.filesystems.XMLFileSystem.access$300(XMLFileSystem.java:89)
	at 
org.openide.filesystems.XMLFileSystem$Impl.inputStream(XMLFileSystem.java:614)
	at 
org.openide.filesystems.AbstractFileObject.getInputStream(AbstractFileObject.java:165)
	at 
org.openide.filesystems.MultiFileObject.getInputStream(MultiFileObject.java:457)
	at 
org.openide.filesystems.MultiFileObject.getInputStream(MultiFileObject.java:457)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.parse(XMLSettingsSupport.java:608)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.getSettings(InstanceDataObject.java:1140)
[catch] 
at 
org.openide.loaders.InstanceDataObject$SettingsInstance.isModuleEnabled(InstanceDataObject.java:1292)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.instanceOf(InstanceDataObject.java:1259)
	at 
org.openide.loaders.FolderLookup.instanceForCookie(FolderLookup.java:182)
	at 
org.openide.loaders.FolderInstance$HoldInstance.instanceCreate(FolderInstance.java:757)
	at 
org.openide.loaders.FolderLookup.createInstance(FolderLookup.java:133)
	at 
org.openide.loaders.FolderInstance.defaultProcessObjects(FolderInstance.java:561)
	at 
org.openide.loaders.FolderInstance.access$100(FolderInstance.java:45)
	at 
org.openide.loaders.FolderInstance$2.run(FolderInstance.java:456)
	at 
org.openide.loaders.FolderLookup.postCreationTask(FolderLookup.java:227)
	at 
org.openide.loaders.FolderInstance.processObjects(FolderInstance.java:454)
	at 
org.openide.loaders.FolderInstance$Listener.finished(FolderInstance.java:664)
	at 
org.openide.loaders.FolderList.createBoth(FolderList.java:681)
	at 
org.openide.loaders.FolderList.getObjects(FolderList.java:395)
	at 
org.openide.loaders.FolderList.access$200(FolderList.java:43)
	at 
org.openide.loaders.FolderList$ListTask.run(FolderList.java:743)
	at 
org.openide.util.Task.run(Task.java:152)
	at 
org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcessor.java:622)

Tue 
Dec 11 13:47:27 PST 2001: java.io.FileNotFoundException: JAR entry 
org/netbeans/modules/diff/DiffSettings.settings not found in 
D:\netbeans3.3rc1\bin\nbjava3.3\modules\diff.jar
java.io.FileNotFoundException: 
JAR entry org/netbeans/modules/diff/DiffSettings.settings not found in 
D:\netbeans3.3rc1\bin\nbjava3.3\modules\diff.jar
	at 
sun.net.www.protocol.jar.JarURLConnection.connect(JarURLConnection.java:98)
	at 
sun.net.www.protocol.jar.JarURLConnection.getInputStream(JarURLConnection.java:108)
	at 
java.net.URL.openStream(URL.java:956)
	at 
org.openide.filesystems.XMLFileSystem$FileObjRef.getInputStream(XMLFileSystem.java:804)
	at 
org.openide.filesystems.XMLFileSystem.getInputStream(XMLFileSystem.java:285)
	at 
org.openide.filesystems.XMLFileSystem.access$300(XMLFileSystem.java:89)
	at 
org.openide.filesystems.XMLFileSystem$Impl.inputStream(XMLFileSystem.java:614)
	at 
org.openide.filesystems.AbstractFileObject.getInputStream(AbstractFileObject.java:165)
	at 
org.openide.filesystems.MultiFileObject.getInputStream(MultiFileObject.java:457)
	at 
org.openide.filesystems.MultiFileObject.getInputStream(MultiFileObject.java:457)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.parse(XMLSettingsSupport.java:608)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.getSettings(InstanceDataObject.java:1140)
[catch] 
at 
org.openide.loaders.InstanceDataObject$SettingsInstance.isModuleEnabled(InstanceDataObject.java:1292)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.instanceOf(InstanceDataObject.java:1259)
	at 
org.openide.loaders.FolderLookup.instanceForCookie(FolderLookup.java:182)
	at 
org.openide.loaders.FolderInstance$HoldInstance.instanceCreate(FolderInstance.java:757)
	at 
org.openide.loaders.FolderLookup.createInstance(FolderLookup.java:133)
	at 
org.openide.loaders.FolderInstance.defaultProcessObjects(FolderInstance.java:561)
	at 
org.openide.loaders.FolderInstance.access$100(FolderInstance.java:45)
	at 
org.openide.loaders.FolderInstance$2.run(FolderInstance.java:456)
	at 
org.openide.loaders.FolderLookup.postCreationTask(FolderLookup.java:227)
	at 
org.openide.loaders.FolderInstance.processObjects(FolderInstance.java:454)
	at 
org.openide.loaders.FolderInstance$Listener.finished(FolderInstance.java:664)
	at 
org.openide.loaders.FolderList.createBoth(FolderList.java:681)
	at 
org.openide.loaders.FolderList.getObjects(FolderList.java:395)
	at 
org.openide.loaders.FolderList.access$200(FolderList.java:43)
	at 
org.openide.loaders.FolderList$ListTask.run(FolderList.java:743)
	at 
org.openide.util.Task.run(Task.java:152)
	at 
org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcessor.java:622)
org::netbeans::modules::corba::settings::CORBASupportSettings::setORBTag 
precondition failed!
__value == 
null
org::netbeans::modules::corba::settings::CORBASupportSettings::setORBTag 
precondition failed!
__value == null
java.lang.NullPointerException
	at 
java.util.Hashtable.get(Hashtable.java:321)
	at 
java.util.Properties.getProperty(Properties.java:483)
	at 
org.netbeans.modules.sysprops.PropertyNode.setName(PropertyNode.java:270)
	at 
org.netbeans.modules.sysprops.SystemPropertiesNode.<init>(SystemPropertiesNode.java:52)
	at 
sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at 
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:42)
	at 
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:30)
	at 
java.lang.reflect.Constructor.newInstance(Constructor.java:277)
	at 
java.lang.Class.newInstance0(Class.java:301)
	at 
java.lang.Class.newInstance(Class.java:254)
	at 
org.netbeans.core.modules.ManifestSection.createInstance(ManifestSection.java:179)
	at 
org.netbeans.core.modules.ManifestSection.getInstance(ManifestSection.java:195)
	at 
org.netbeans.core.NbPlaces$Ch.createNodes(NbPlaces.java:296)
	at 
org.openide.nodes.Children$Keys$KE.nodes(Children.java:1820)
	at 
org.openide.nodes.ChildrenArray.nodesFor(ChildrenArray.java:125)
	at 
org.openide.nodes.Children$Info.nodes(Children.java:929)
	at 
org.openide.nodes.Children.updateAdd(Children.java:737)
	at 
org.openide.nodes.Children.setEntries(Children.java:526)
	at 
org.openide.nodes.Children$3.run(Children.java:1713)
	at 
org.openide.util.Mutex.leave(Mutex.java:609)
	at 
org.openide.util.Mutex.readAccess(Mutex.java:178)
	at 
org.openide.explorer.view.VisualizerNode.getChildren(VisualizerNode.java:142)
	at 
org.openide.explorer.view.VisualizerNode.getChildCount(VisualizerNode.java:182)
	at 
javax.swing.tree.DefaultTreeModel.getChildCount(DefaultTreeModel.java:171)
	at 
javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(VariableHeightLayoutCache.java:1464)
	at 
javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(VariableHeightLayoutCache.java:1273)
	at 
javax.swing.tree.VariableHeightLayoutCache.rebuild(VariableHeightLayoutCache.java:728)
	at 
javax.swing.tree.VariableHeightLayoutCache.treeStructureChanged(VariableHeightLayoutCache.java:629)
	at 
javax.swing.plaf.basic.BasicTreeUI$TreeModelHandler.treeStructureChanged(BasicTreeUI.java:2470)
	at 
javax.swing.tree.DefaultTreeModel.fireTreeStructureChanged(DefaultTreeModel.java:564)
	at 
javax.swing.tree.DefaultTreeModel.nodeStructureChanged(DefaultTreeModel.java:348)
	at 
javax.swing.tree.DefaultTreeModel.setRoot(DefaultTreeModel.java:120)
	at 
org.openide.explorer.view.NodeTreeModel$1.run(NodeTreeModel.java:77)
	at 
org.openide.util.Mutex.doEvent(Mutex.java:902)
	at 
org.openide.util.Mutex.readAccess(Mutex.java:234)
	at 
org.openide.explorer.view.NodeTreeModel.setNode(NodeTreeModel.java:64)
	at 
org.openide.explorer.view.TreeView.synchronizeRootContext(TreeView.java:583)
	at 
org.openide.explorer.view.TreeView.addNotify(TreeView.java:483)
	at 
java.awt.Container.addNotify(Container.java:1862)
	at 
javax.swing.JComponent.addNotify(JComponent.java:4272)
	at 
java.awt.Container.addImpl(Container.java:479)
	at 
javax.swing.JTabbedPane.insertTab(JTabbedPane.java:571)
	at 
org.netbeans.core.windows.frames.SplitContainerImpl.componentAdded(SplitContainerImpl.java:399)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl.addTopComponent(DefaultContainerImpl.java:276)
	at 
org.netbeans.core.windows.ModeImpl.addToContainer(ModeImpl.java:1668)
	at 
org.netbeans.core.windows.ModeImpl.access$400(ModeImpl.java:76)
	at 
org.netbeans.core.windows.ModeImpl$1.performCommand(ModeImpl.java:386)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPerformer.java:165)
	at 
org.netbeans.core.windows.DeferredPerformer.putRequest(DeferredPerformer.java:83)
	at 
org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:367)
	at 
org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:347)
	at 
org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:335)
	at 
org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.doOpen(WindowManagerImpl.java:1425)
	at 
org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.open(WindowManagerImpl.java:1382)
	at 
org.openide.windows.TopComponent.open(TopComponent.java:220)
	at 
org.openide.explorer.ExplorerPanel.open(ExplorerPanel.java:86)
	at 
org.netbeans.core.NbMainExplorer$ExplorerTab.open(NbMainExplorer.java:516)
	at 
org.netbeans.core.NbMainExplorer$MainTab.open(NbMainExplorer.java:718)
	at 
org.netbeans.core.windows.layers.TCRefImpl.performCommand(TCRefImpl.java:160)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPerformer.java:165)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged(DeferredPerformer.java:136)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.componentShown(StateManager.java:152)
	at 
java.awt.Component.processComponentEvent(Component.java:4886)
	at 
java.awt.Component.processEvent(Component.java:4834)
	at 
java.awt.Container.processEvent(Container.java:1383)
	at 
java.awt.Window.processEvent(Window.java:1057)
	at 
java.awt.Component.dispatchEventImpl(Component.java:3527)
	at 
java.awt.Container.dispatchEventImpl(Container.java:1440)
	at 
java.awt.Window.dispatchEventImpl(Window.java:1568)
	at 
java.awt.Component.dispatchEvent(Component.java:3368)
	at 
java.awt.EventQueue.dispatchEvent(EventQueue.java:448)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:193)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:147)
	at 
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:141)
	at 
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:133)
	at 
java.awt.EventDispatchThread.run(EventDispatchThread.java:101)
Comment 1 Jesse Glick 2001-12-12 01:53:21 UTC
The bug in sysprops has already been fixed (in code, not sure if it is
published yet, but disabled it for now). I have seen reports of this
exception from diff before, reassigning.
Comment 2 Martin Entlicher 2001-12-12 10:47:32 UTC
I'll take care of putting the new version of diff module to the
autoupdate.
Comment 3 Martin Entlicher 2001-12-12 16:22:13 UTC
You can find a new version (1.2) of diff module on the autoupdate.
This bug is fixed there.
Comment 4 Les Hartzman 2001-12-12 21:35:48 UTC
Picked up the new diff module and still get the following exceptions.
Also, in 
trying to get a clean log, I deleted the old ide.log, but a new one was not re-
created.


D:\netbeans33rc1\bin>runide.exe -jdkhome d:\jdk1.4
-- System 
Info ----------------------------------------------------------------
  Product Version       = NetBeans IDE, Release 3.3 RC 1 (Build 200112051230)
  IDE 
Versioning        = IDE/1 spec=1.43.1.1 impl=200112051230
  Operating System      = Windows 
2000 version 5.0 running on x86
  Java; VM; Vendor      = 1.4.0-beta3; Java HotSpot(TM) 
Client VM 1.4.0-beta3-b8
4; Sun Microsystems Inc.
  Java Home             = d:\jdk1.4\jre
  
System Locale         = en_US
  Home Dir; Current Dir = C:\Documents and 
Settings\lhartzman; D:\netbeans33rc1\
bin
  IDE Install; User Dir = 
D:\netbeans33rc1; D:\netbeans3.3rc1\bin\nbjava3.3
  CLASSPATH             = 
D:\netbeans33rc1\lib\patches\openide-
compat.jar;D:\net
beans33rc1\lib\core.jar;D:\netbeans33rc1\lib\openide.jar;D:\netbeans33rc1\lib\ex
t\locale\ddl_ja.jar;D:\netbeans33rc1\lib\ext\crimson.jar;D:\netbeans33rc1\lib\ex
t\ddl.jar;D:\netbeans33rc1\lib\ext\idlcompilers.jar;D:\netbeans33rc1\lib\ext\jh.
jar;D:\netbeans33rc1\lib\ext\junit-
ext.jar;D:\netbeans33rc1\lib\ext\junit.jar;D:
\netbeans33rc1\lib\ext\logger.jar;D:\netbeans33rc1\lib\ext\openorb-
1.0.2.jar;D:\
netbeans33rc1\lib\ext\regexp.jar;D:\netbeans33rc1\lib\ext\rmi-
ext.jar;D:\netbean
s33rc1\lib\ext\terminalemulator.jar;D:\netbeans33rc1\lib\ext\xerces.jar;d:\jdk1.
4\lib\dt.jar;d:\jdk1.4\lib\tools.jar
-
------------------------------------------------------------------------------
Existing modules:
        Ant [org.apache.tools.ant.module/2 2.7.1.1 
200112051230]
        Applet [org.netbeans.modules.applet/1 1.7.1.1 
200112051230]
        Auto Update [org.netbeans.modules.autoupdate/1 1.7.1.1 
200112051230]
        Bean Patterns [org.netbeans.modules.beans/1 1.7.1.1 
200112051230]
        Built-in CVS Client [org.netbeans.modules.cvsclient/1 1.4.1.1 
2001120512
30]
        CORBA [org.netbeans.modules.corba/1 1.4 20011031]
        CVS 
Command-Line Client Backward Compatibility 
[org.netbeans.modules.vcs
.cmdline.compat/1 1.0.1.1 200112051230]
        
Database Explorer [org.netbeans.modules.db/1 1.4.2 ${buildnumber}]
        Diff 
[org.netbeans.modules.diff/1 1.2 ${buildnumber}]
        Editor 
[org.netbeans.modules.editor/1 1.8.1.1 200112051230]
        External HTML Browser 
[org.netbeans.modules.extbrowser/1 0.3.1.1 2001120
51230]
        Form Editor 
[org.netbeans.modules.form/2 1.7.1.1 200112051230]
        General Online Help 
[org.netbeans.modules.usersguide/1 1.9.1.1 200112051
230]
        HTML 
[org.netbeans.modules.html/1 1.8.1.1 200112051230]
        HTTP Server 
[org.netbeans.modules.httpserver/1 1.7.1.1 200112051230]
        IDE Core 
[org.netbeans.core/1 1.1]
        IDL Syntax Coloring 
[org.netbeans.modules.corba.idl.editor/1 1.2 2001103
1]
        Image 
[org.netbeans.modules.image/1 1.7.1.1 200112051230]
        Inner-Class Testers 
[org.netbeans.modules.innertesters 0.5 28-mar-01]
        Internationalization 
[org.netbeans.modules.i18n/1 1.9.1.1 200112051230]
        Internationalization of 
Form [org.netbeans.modules.i18n.form/2 1.8.1.1 2
00112051230]
        JAR Packager 
[org.netbeans.modules.jarpackager/2 1.9.1.1 200112051230]
        JNDI 
[org.netbeans.modules.jndi/1 1.4.1.1 200112051230]
        JPDA Debugger 
[org.netbeans.modules.debugger.jpda/1 1.9.1.1 200112051230
]
        JSP Syntax 
Coloring [org.netbeans.modules.web.core.syntax/1 1.5.1.1 2001
12051230]
        
JSP/Servlet [org.netbeans.modules.web.core/1 1.5.1.1 200112051230]
        Java 
Source Files [org.netbeans.modules.java/1 1.7.1.1.1 200112041930-jd
k14]
        
Javadoc [org.netbeans.modules.javadoc/1 1.7.1.1 200112051230]
        Logger 
(TraceLogger) [org.netbeans.modules.logger/1 1.0 22-dec-00]
        Makefiles 
[org.netbeans.modules.makefile/1 1.3 for-michael-juergens-26-f
eb-01]
        New 
Module Wizard [org.netbeans.modules.apisupport.lite/1 0.2.1.1 
200112
051230]
        Object Browser [org.netbeans.modules.objectbrowser/1 1.7 
2001101101500]
        Projects [org.netbeans.modules.projects/1 1.7.1.1 
200112051230]
        RMI [org.netbeans.modules.rmi/1 1.4.1.1 200112051230]
        
Resource Bundle Syntax Coloring [org.netbeans.modules.properties.syntax/
1 
1.7.1.1 200112051230]
        Resource Bundles [org.netbeans.modules.properties/1 
1.7.1.1 200112051230
]
        Scripting Support 
[org.netbeans.modules.scripting/1 1.4.1.1 200112051230
]
        Sourceless Java 
Classes [org.netbeans.modules.clazz/1 1.8.1.1 2001120512
30]
        System 
Properties [org.netbeans.modules.sysprops 1.1 dev-16]
        Text 
[org.netbeans.modules.text/1 1.7.1.1 200112051230]
        Tomcat 3.2 Server 
[org.netbeans.modules.web.tomcat/1 1.3.1.1 20011205123
0]
        Unit tests 
[org.netbeans.modules.junit/2 2.3 ${buildnumber}]
        User Utilities 
[org.netbeans.modules.utilities/1 1.7.1.1 200112051230]
        VCS Generic Command-
Line Support [org.netbeans.modules.vcs.advanced/1 1.
5.1.1 
200112051230]
Type Groups Level Module Name
---- ------ ----- -----------
err    *     255   * (Default)

Type 
Groups Level Module Name
---- ------ ----- -----------
err    *     255   * 
(Default)

java.lang.NullPointerException
        at 
java.util.Hashtable.get(Hashtable.java:321)
        at 
java.util.Properties.getProperty(Properties.java:483)
        at 
org.netbeans.modules.sysprops.PropertyNode.setName(PropertyNode.java:
270)
 
       at 
org.netbeans.modules.sysprops.SystemPropertiesNode.<init>(SystemPrope
rtiesNode.java:52)
 
       at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native 
Method)

        at 
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstruct
orAccessorImpl.java:42)
 
       at 
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingC
onstructorAccessorImpl.java:30)
 
       at java.lang.reflect.Constructor.newInstance(Constructor.java:277)
        at 
java.lang.Class.newInstance0(Class.java:301)
        at 
java.lang.Class.newInstance(Class.java:254)
        at 
org.netbeans.core.modules.ManifestSection.createInstance(ManifestSect
ion.java:179)
 
       at 
org.netbeans.core.modules.ManifestSection.getInstance(ManifestSection
.java:195)
 
       at org.netbeans.core.NbPlaces$Ch.createNodes(NbPlaces.java:296)
        at 
org.openide.nodes.Children$Keys$KE.nodes(Children.java:1820)
        at 
org.openide.nodes.ChildrenArray.nodesFor(ChildrenArray.java:125)
        at 
org.openide.nodes.Children$Info.nodes(Children.java:929)
        at 
org.openide.nodes.Children.updateAdd(Children.java:737)
        at 
org.openide.nodes.Children.setEntries(Children.java:526)
        at 
org.openide.nodes.Children$3.run(Children.java:1713)
        at 
org.openide.util.Mutex.leave(Mutex.java:609)
        at 
org.openide.util.Mutex.readAccess(Mutex.java:178)
        at 
org.openide.explorer.view.VisualizerNode.getChildren(VisualizerNode.j
ava:142)
 
       at 
org.openide.explorer.view.VisualizerNode.getChildCount(VisualizerNode
.java:182)
 
       at 
javax.swing.tree.DefaultTreeModel.getChildCount(DefaultTreeModel.java
:171)
 
       at 
javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(Varia
bleHeightLayoutCache.java:1464)
 
       at 
javax.swing.tree.VariableHeightLayoutCache$TreeStateNode.expand(Varia
bleHeightLayoutCache.java:1273)
 
       at 
javax.swing.tree.VariableHeightLayoutCache.rebuild(VariableHeightLayo
utCache.java:728)
 
       at 
javax.swing.tree.VariableHeightLayoutCache.treeStructureChanged(Varia
bleHeightLayoutCache.java:629)
 
       at 
javax.swing.plaf.basic.BasicTreeUI$TreeModelHandler.treeStructureChan
ged(BasicTreeUI.java:2470)
 
       at 
javax.swing.tree.DefaultTreeModel.fireTreeStructureChanged(DefaultTre
eModel.java:564)
 
       at 
javax.swing.tree.DefaultTreeModel.nodeStructureChanged(DefaultTreeMod
el.java:348)
 
       at javax.swing.tree.DefaultTreeModel.setRoot(DefaultTreeModel.java:120)
        
at org.openide.explorer.view.NodeTreeModel$1.run(NodeTreeModel.java:77)
        
at org.openide.util.Mutex.doEvent(Mutex.java:902)
        at 
org.openide.util.Mutex.readAccess(Mutex.java:234)
        at 
org.openide.explorer.view.NodeTreeModel.setNode(NodeTreeModel.java:64
)
 
       at 
org.openide.explorer.view.TreeView.synchronizeRootContext(TreeView.ja
va:583)
 
       at org.openide.explorer.view.TreeView.addNotify(TreeView.java:483)
        at 
java.awt.Container.addNotify(Container.java:1862)
        at 
javax.swing.JComponent.addNotify(JComponent.java:4272)
        at 
java.awt.Container.addImpl(Container.java:479)
        at 
javax.swing.JTabbedPane.insertTab(JTabbedPane.java:571)
        at 
org.netbeans.core.windows.frames.SplitContainerImpl.componentAdded(Sp
litContainerImpl.java:399)
 
       at 
org.netbeans.core.windows.frames.DefaultContainerImpl.addTopComponent
(DefaultContainerImpl.java:276)
 
       at 
org.netbeans.core.windows.ModeImpl.addToContainer(ModeImpl.java:1668)

 
       at org.netbeans.core.windows.ModeImpl.access$400(ModeImpl.java:76)
        at 
org.netbeans.core.windows.ModeImpl$1.performCommand(ModeImpl.java:386
)
 
       at 
org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPe
rformer.java:165)
 
       at 
org.netbeans.core.windows.DeferredPerformer.putRequest(DeferredPerfor
mer.java:83)
 
       at org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:367)
        at 
org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:347)
        at 
org.netbeans.core.windows.ModeImpl.dockInto(ModeImpl.java:335)
        at 
org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.doOpe
n(WindowManagerImpl.java:1425)
 
       at 
org.netbeans.core.windows.WindowManagerImpl$TopComponentManager.open(
WindowManagerImpl.java:1382)
 
       at org.openide.windows.TopComponent.open(TopComponent.java:220)
        at 
org.openide.explorer.ExplorerPanel.open(ExplorerPanel.java:86)
        at 
org.netbeans.core.NbMainExplorer$ExplorerTab.open(NbMainExplorer.java
:516)
 
       at 
org.netbeans.core.NbMainExplorer$MainTab.open(NbMainExplorer.java:718
)
 
       at 
org.netbeans.core.windows.layers.TCRefImpl.performCommand(TCRefImpl.j
ava:160)
 
       at 
org.netbeans.core.windows.DeferredPerformer.processCommand(DeferredPe
rformer.java:165)
 
       at 
org.netbeans.core.windows.DeferredPerformer.stateChanged(DeferredPerf
ormer.java:136)
 
       at 
org.netbeans.core.windows.StateManager.fireStateChanged(StateManager.
java:117)
 
       at 
org.netbeans.core.windows.StateManager.setVisibilityState(StateManage
r.java:142)
 
       at 
org.netbeans.core.windows.StateManager.componentShown(StateManager.ja
va:152)
 
       at java.awt.Component.processComponentEvent(Component.java:4886)
        at 
java.awt.Component.processEvent(Component.java:4834)
        at 
java.awt.Container.processEvent(Container.java:1383)
        at 
java.awt.Window.processEvent(Window.java:1057)
        at 
java.awt.Component.dispatchEventImpl(Component.java:3527)
        at 
java.awt.Container.dispatchEventImpl(Container.java:1440)
        at 
java.awt.Window.dispatchEventImpl(Window.java:1568)
        at 
java.awt.Component.dispatchEvent(Component.java:3368)
        at 
java.awt.EventQueue.dispatchEvent(EventQueue.java:448)
        at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchTh
read.java:193)
 
       at 
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThre
ad.java:147)
 
       at 
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:141)

 
       at 
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:133)

 
       at java.awt.EventDispatchThread.run(EventDispatchThread.java:101)
Comment 5 Martin Entlicher 2001-12-13 09:20:55 UTC
O.K., this is not a problem of diff module any more. Reassigning to
sysprops.
Please add ide.log as attachment in the future.
Comment 6 Jesse Glick 2001-12-13 13:46:31 UTC
NPE from sysprops already fixed in code, I don't know if and when a
new NBM will be available for it; I asked Robert Novak in issue #18421
to publish a new NBM if he has the time.

Les bear in mind that updated modules marked "experimental" are just
that and often are not checked by anyone in QA. If you have problems
with them, by all means report bugs (thank you!), but the workaround
will often be "turn the module off for now". In this case you can
build the fixed version from sources if you are really interested in
running it.

*** This issue has been marked as a duplicate of 18421 ***
Comment 7 Marek Grummich 2002-07-19 16:28:31 UTC
Target milestone was changed from not determined to TBD


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo